- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_read_prefs_t

# mongoc_read_prefs_destroy()

## Synopsis

    void
    mongoc_read_prefs_destroy (mongoc_read_prefs_t *read_prefs);

## Parameters

- `read_prefs`: A mongoc_read_prefs_t.

## Description

Frees a read preference and all associated resources. Does nothing if `read_prefs` is NULL.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.